# Generated by Django 4.1.9 on 2023-05-26 21:30

import datetime
from django.db import migrations, models
import django.db.models.deletion
import scovie.models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Announcement",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(max_length=20, unique=True, verbose_name="type"),
                ),
                ("message", models.TextField(verbose_name="message")),
            ],
            options={
                "verbose_name": "announcement",
                "ordering": ["type"],
            },
        ),
        migrations.CreateModel(
            name="Configuration",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "enterprise_name",
                    models.CharField(max_length=50, verbose_name="enterprise name"),
                ),
                (
                    "emergency_mode",
                    models.BooleanField(default=False, verbose_name="emergency mode"),
                ),
                (
                    "emergency_title",
                    models.CharField(max_length=50, verbose_name="emergency title"),
                ),
                (
                    "emergency_subtitle",
                    models.CharField(max_length=50, verbose_name="emergency subtitle"),
                ),
                (
                    "carnival_day",
                    models.BooleanField(default=False, verbose_name="carnival day"),
                ),
                (
                    "carnival_date",
                    models.DateField(
                        default=datetime.date(2023, 2, 21), verbose_name="carnival date"
                    ),
                ),
                (
                    "valentine_day",
                    models.BooleanField(default=False, verbose_name="valentine day"),
                ),
                (
                    "valentine_date",
                    models.DateField(
                        default=datetime.date(2023, 2, 14),
                        verbose_name="valentine date",
                    ),
                ),
            ],
            options={
                "verbose_name": "parameters",
            },
        ),
        migrations.CreateModel(
            name="Media",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=30, verbose_name="name")),
                (
                    "image",
                    models.ImageField(
                        upload_to=scovie.models.format_filename, verbose_name="image"
                    ),
                ),
            ],
            options={
                "verbose_name": "media",
            },
        ),
        migrations.CreateModel(
            name="Room",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=15, verbose_name="room")),
            ],
            options={
                "verbose_name": "room",
                "ordering": ["name"],
            },
        ),
        migrations.CreateModel(
            name="Teacher",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=50, verbose_name="teacher")),
            ],
            options={
                "verbose_name": "teacher",
                "ordering": ["name"],
            },
        ),
        migrations.CreateModel(
            name="Time",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=5, verbose_name="time")),
                ("rank", models.IntegerField(verbose_name="display order")),
            ],
            options={
                "verbose_name": "time",
                "ordering": ["rank"],
            },
        ),
        migrations.CreateModel(
            name="Planning",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "room",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="scovie.room",
                        verbose_name="room",
                    ),
                ),
                (
                    "teacher",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="scovie.teacher",
                        verbose_name="teacher",
                    ),
                ),
                (
                    "time",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="scovie.time",
                        verbose_name="time",
                    ),
                ),
            ],
            options={
                "verbose_name": "planning",
            },
        ),
    ]
